# podman-compose.development.yml
#
# Defines the services for the isolated Development environment.
#
version: '3.8'

services:
  app_development:
    container_name: mold_cost_tool_development
    image: mold_cost_tool_development_image
    build:
      context: .
      dockerfile: Dockerfile
    env_file:
      - .env.development
    ports:
      - "5001:5000"
    volumes:
      - ./instance:/app/instance
      - ./logs:/app/logs
      - ./db_data/development:/app/db_data/development

  db_development:
    container_name: mold_cost_db_development
    image: docker.io/postgres:13
    env_file:
      - .env.development
    volumes:
      - ./db_data/development:/var/lib/postgresql/data
      - ./deploy/db/init:/docker-entrypoint-initdb.d
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U $$POSTGRES_USER -d $$POSTGRES_DB"]
      interval: 5s
      timeout: 5s
      retries: 5
    restart: always
    ports:
      - "5434:5432" # Exposes on host port 5434 for external access if needed
    networks:
      - mold_network_development

volumes:
  postgres_data_development:
    name: mold_cost_postgres_data_development

networks:
  mold_network_development:
    name: mold_cost_network_development 